Subject: delete translations for long-unmaintained languages from git?

From: Peter Eisentraut <[email-masked]>
Date: Mon, 21 Nov 2022 17:46:20 +0100

I've been wondering whether we should delete translations for 
long-unmaintained languages from git, rather than keeping the barely 
usable files around indefinitely.  Extreme examples are "af" and "fa", 
but there could be a few more, depending on where we'd set the cutoff.

These take up screen real estate and processing time, and someone who 
wanted to work on these languages might be better off starting from scratch.

Thoughts?

---

From: Alvaro Herrera <[email-masked]>
Date: Mon, 21 Nov 2022 18:49:32 +0100

On 2022-Nov-21, Peter Eisentraut wrote:

> long-unmaintained languages from git, rather than keeping the barely usable
> files around indefinitely.

Yeah, let's.

> Extreme examples are "af" and "fa", but there
> could be a few more, depending on where we'd set the cutoff.

I'd remove anything that hasn't had a commit since the branch for 11.
That seems to give the following list
    af fa hr hu nb nl pl sk sl ta

I'm looking at the output from this
for i in [a-z][a-z]; do echo -n "$i: " ; git log --oneline --no-show-signature --since "2018-04-16" $i | head -1; echo "" ; done
(There's probably a better way to do this)

'pl' is a surprise, considering that it even has a file with 100%
translation.  However, there are no commits since 2017.  Maybe back off
on this one, because back then it was really still alive.

(Lack of) 'ro' is also a surprise looking at the table.  There was a
typo fix recently there, but I don't think we should keep that language
because of that; in reality there's been no translation update since
2011.

-- 
Álvaro Herrera        Breisgau, Deutschland  —  https://www.EnterpriseDB.com/